#ifndef __PLAYER__
#define __PLAYER__

#include "map.h"
#include "hge.h"
#include "tile.h"

class Player{
public:
	Player();
	void Draw(HGE *hgep, Map *TileMap);
	void GetInput(HGE *hgep, Map *TileMap, float dt);
	void Update(float dt, Map *TileMap);
	bool GetStatus(void){return alive;};
	void SetAlive(bool a){alive = a;};
	void AddBomb(void){bombs++;};
	void ResetBombs(void){bombs = 3;};
private:
	void MoveRight(void);
	void MoveLeft(void);
	void MoveUp(void);
	void MoveDown(void);

	float MoveTimer;
	bool alive;
	int bombs;
};

#endif